import org.graphstream.algorithm.generator.Generator;
import org.graphstream.algorithm.generator.RandomGenerator;
import org.graphstream.graph.Graph;
import org.graphstream.graph.implementations.SingleGraph;

public class GenerateurGraphe
{
    public static void main(String[] args)
    {
        Graph graph = new SingleGraph("Random");
        graph.setAttribute("ui.quality");
        graph.setAttribute("ui.antialias");
        Generator gen = new RandomGenerator(5);
        gen.addSink(graph);
        gen.begin();
        for(int i=0; i<25; i++)
            gen.nextEvents();

        gen.end();
        System.setProperty("org.graphstream.ui", "swing");
        graph.display();

    }
}
